<?
  $n = "0";
  $g = "0";
          $fill="news.txt";
          $test = file("$fill");
      $size = sizeof($test);
$num = $size;  
                        do { 
                                  $data = explode("|", $test[$num]);   
                                  $data[1] = stripslashes($data[1]);
if ($data[0] != "") {
print "<img src=str.gif><b><i>$data[0]</i></b> :: $data[1]<br>"; 
$data[3] = str_replace("\r\n", "", $data[3]);
print "<br>"; 
}
if ($g == "5") { 
print "<hr size=1><b><center><font size=2><center><a href='allnews.php'>Все новости</a> "; $n=$size; }
$g++;   
$num--; 
$n++;

                     } while ($n-1 < "$size");
?>